> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Banks

> Returns a list of all supported banks with optional filtering by currency or search term. Banks are sourced from the centralized bank data registry.

Get a list of all supported banks with optional filtering by currency or search term.


## OpenAPI

````yaml GET /api/v3/customer/support/banks
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/customer/support/banks:
    get:
      tags:
        - CUSTOMER - COUNTRY SUPPORT
      summary: Get available banks
      description: >-
        Returns a list of all supported banks with optional filtering by
        currency or search term. Banks are sourced from the centralized bank
        data registry.
      operationId: CountrySupportController_getBanks_api/v3
      parameters:
        - name: currency
          required: false
          in: query
          description: Filter by currency
          schema:
            example: KES
            type: string
            enum:
              - KES
              - GHS
              - NGN
              - ZAR
              - ZAR
              - USD
              - XOF
              - ZMW
              - XAF
              - SLE
              - CDF
              - TZS
              - UGX
              - EGP
              - MWK
              - RWF
              - ETB
              - MZN
              - LSL
              - GNF
              - USDT
              - BTC
              - ETH
              - USDC
        - name: search
          required: false
          in: query
          description: Search bank by name
          schema:
            example: equity
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Banks retrieved successfully
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/BankResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid query parameters
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    BankResponseDto:
      type: object
      properties:
        code:
          type: number
          description: Bank code
          example: 68
        name:
          type: string
          description: Bank name
          example: Equity Bank
        currency:
          type: string
          description: Currency this bank operates in
          example: KES
        bankGroupId:
          type: string
          description: Bank group ID (if applicable)
        universalBranchCode:
          type: string
          description: Universal branch code (if applicable)
      required:
        - code
        - name
        - currency
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````